| GlsMap Toolkit 1.10.2

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
disti::GeoTIFFMapChartDataSource Class Reference
GeoTIFF

`#include <gls_map_geotiff.h>`

Inheritance diagram for disti::GeoTIFFMapChartDataSource:

## Public Member Functions
| GeoTIFFMapChartDataSource ()
| ~GeoTIFFMapChartDataSource () DISTI_METHOD_OVERRIDE
void | LoadGeoTIFF (const std::string &str)
void | UnloadGeoTIFF (const std::string &str)
void | SetTargetCellLoadRate (const double targetCellLoadRate)
double | GetTargetCellLoadRate () const
bool | GetAvailableCoverage (GeoRect *dest) DISTI_METHOD_OVERRIDE
void | GetCellList (const GeoRect &coverage, unsigned long layerID, double viewLogicalHeight, double viewGeoHeight, MapChartCellList &viewList) DISTI_METHOD_OVERRIDE
void | SetCacheCount (const unsigned int cacheCount)
unsigned int | GetCacheCount () const
Public Member Functions inherited from disti::GlsMapChartDataSource
virtual | ~GlsMapChartDataSource ()
virtual bool | GetAvailableCoverage (GeoRect *dest)=0
virtual unsigned long | GetBestLayer (GlsMapView *view, GlsMapChart *chart) const
virtual void | GetCellList (const GeoRect &coverage, unsigned long layerID, double viewLogicalHeight, double viewGeoHeight, MapChartCellList &viewList)=0
virtual void | PostDraw (GlsMapView *view, GlsMapChart *chart)
virtual bool | AreAllCellsLoaded (GlsMapView *view, GlsMapChart *chart)

## Protected Member Functions
void | SearchDirectory (const std::string &entity, const std::string &originalLoadString)
void | LoadGeoTIFF (const std::string &str, const std::string &originalLoadString)
Protected Member Functions inherited from disti::GlsMapChartDataSource
| GlsMapChartDataSource ()

## Protected Attributes
GeoRect | _extents
std::vector< GeoTIFFImageHolder * > | _imageHolders

## Detailed Description

Runtime implementation of a GlsMapGeoTIFF

## Constructor & Destructor Documentation

## ◆ GeoTIFFMapChartDataSource()

disti::GeoTIFFMapChartDataSource::GeoTIFFMapChartDataSource | ( |  | ) |

Create a new GlsMapGeoTIFF.

## ◆ ~GeoTIFFMapChartDataSource()

disti::GeoTIFFMapChartDataSource::~GeoTIFFMapChartDataSource | ( |  | ) |

Destructs a GlsMapGeoTIFF object

## Member Function Documentation

## ◆ GetAvailableCoverage()

bool disti::GeoTIFFMapChartDataSource::GetAvailableCoverage | ( | GeoRect * | dest | ) |
| virtual

See base class.

Implements disti::GlsMapChartDataSource.

## ◆ GetCellList()

void disti::GeoTIFFMapChartDataSource::GetCellList | ( | const GeoRect & | coverage,
|  | unsigned long | layerID,
|  | double | viewLogicalHeight,
|  | double | viewGeoHeight,
|  | MapChartCellList & | viewList
| ) |  |
| virtual

See base class.

Implements disti::GlsMapChartDataSource.

## ◆ GetTargetCellLoadRate()

double disti::GeoTIFFMapChartDataSource::GetTargetCellLoadRate | ( |  | ) | const

Get the target rate in hz at which cells will be loaded

Returns
  target rate in hz else 0.0 for no target rate ( i.e. load as quickly as possible )

## ◆ LoadGeoTIFF()

void disti::GeoTIFFMapChartDataSource::LoadGeoTIFF | ( | const std::string & | str | ) |

Load one or more GeoTIFF images.

Parameters

  str | A string containing one filename, a comma separated list of filenames a directory to parse, recursively, looking for files to load.

## ◆ SetCacheCount()

void disti::GeoTIFFMapChartDataSource::SetCacheCount | ( | const unsigned int | cacheCount | ) |

Set the count of the layer cache

Parameters

  cacheCount | max number of layers to cache else 0u to disable layer caching

## ◆ SetTargetCellLoadRate()

void disti::GeoTIFFMapChartDataSource::SetTargetCellLoadRate | ( | const double | targetCellLoadRate | ) |

Set the target rate in hz at which cells will be loaded

Parameters

  targetCellLoadRate | target rate in hz else 0.0 for no target rate ( i.e. load as quickly as possible )

## ◆ UnloadGeoTIFF()

void disti::GeoTIFFMapChartDataSource::UnloadGeoTIFF | ( | const std::string & | str | ) |

Unload one or more GeoTIFF images.

Parameters

  str | Must be the same string passed to LoadGeoTIFF

The documentation for this class was generated from the following file:

- gls_map_geotiff.h